module Kubelink
  class Config < Rails::Railtie
    initializer "kubelink.config" do
      if Rails.env.production?
        require 'lograge'

        Rails.application.configure do
          config.force_ssl = !ENV.fetch('RAILS_DISABLE_FORCE_SSL', false)
          config.log_level = :info

          config.lograge.enabled = true
          config.lograge.ignore_actions = ['Kubelink::MonitoringController#health', 'Kubelink::MonitoringController#status']
        end
      end
    end
  end
end
